View Issue Details

IDProjectCategoryView StatusLast Update
14815Bug reports[All Projects] _ Unknownpublic2019-05-29 16:39
Reporterclasp2019Assigned Todominikvitt 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.17.x 
Summary14815: exporting tab-separated removes mandatory property of questions
Description

The problem is that when I export in tab-separated format, for all the mandatory questions in the survey the "mandatory" field comes out blank in the txt file, the "other" field however is "N".
When I import this same txt without doing anything to it, the new survey has all these questions as not mandatory and it adds a "no answer" to all the list(radio) questions.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Limesurvey pro 3.17.0
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionLimesurvey pro 3.17.0
Server OS (if known)
Webserver software & version (if known)
PHP VersionLimesurvey pro 3.17.0

Activities

dominikvitt

dominikvitt

2019-05-06 18:05

developer   ~51788

This issue is now fixed.
It is available on GitHub now and would be available on next LimeSurvey release.

https://github.com/LimeSurvey/LimeSurvey/commit/415050d950f84a687a51ef27c3b26f8702133d52

c_schmitz

c_schmitz

2019-05-29 16:12

administrator   ~52192

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28920

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52203

Version 3.17.4+190529 released

Related Changesets

LimeSurvey: master 415050d9

2019-05-06 18:02:31

Dominik Vitt

Details Diff
Fixed issue 14815: exporting tab-separated removes mandatory property of questions Affected Issues
14815
mod - application/helpers/export_helper.php Diff File

Issue History

Date Modified Username Field Change
2019-04-25 12:08 clasp2019 New Issue
2019-04-25 12:28 dominikvitt Assigned To => dominikvitt
2019-04-25 12:28 dominikvitt Status new => assigned
2019-05-06 18:05 dominikvitt Status assigned => resolved
2019-05-06 18:05 dominikvitt Resolution open => fixed
2019-05-06 18:05 dominikvitt Fixed in Version => 3.17.x
2019-05-06 18:05 dominikvitt Note Added: 51788
2019-05-29 16:12 Changeset attached => LimeSurvey master 415050d9
2019-05-29 16:12 c_schmitz Note Added: 52192
2019-05-29 16:39 c_schmitz Note Added: 52203
2019-05-29 16:39 c_schmitz Status resolved => closed